[mythtv-users] Undefined symbol error when running CVS

Isaac Richards ijr at po.cwru.edu
Thu Nov 11 07:49:24 UTC 2004

On Thursday 11 November 2004 02:29 am, Shawn wrote:
> Likely a library it's linking to has been compiled with a compiler not
> ABI compatible with what myth was compiled with (2.96 v 3.X?), or some
> psycho-babble sounding like that. (The "_ZNBlahHorkBeeble" bullshit is a
> clue)
> Try looking at all the libraries myth links to (ldd), and recompiling
> those libraries with the same gcc (or g++ as it were).
> Don't do glibc... maybe do libstdc++, qt.
> If you don't like binary incompatibility but you're patient and an
> obsessive problem solver, gentoo is for you. More because you can solve
> those problems easier than avoid them, though... I find every time I
> have to compile something c++ I thank the divine I'm running gentoo.

It's amazing how someone could diagnose not completely removing a set of RPMs 
as a need to switch distributions.


More information about the mythtv-users mailing list